Subject: Re: bug#70752: 30.0.50; flymake: add a command for resetting state

From: Spencer Baugh <[email-masked]>
Date: Sat, 18 May 2024 10:37:21 -0400

Óscar Fuentes <[email-masked]> writes:
> Sometimes flymake shows indicators of unexisting diagnostics. The only
> method I know of clearing those indicators is killing all buffers with
> the same mode.
>
> The real fix is to not show unexisting diagnostics, but since that can
> be caused either by bugs in flymake or in third-party diagnostic
> functions (including in the function's development) providing a command
> or easy method to clear those diagnostics would be pragmatic and
> convenient.

Could you give an example of a flymake diagnostic function which reports
non-existing diagnostics?

Also, I expect that you would be able to clear the diagnostics by simply
toggling flymake-mode in the buffer with undesirable diagnostics
present.